How to install Wine 3.0.4 on Ubuntu 18.04

How to install Wine 3.0.4 on Ubuntu 18.04

Today we are looking at how to install Wine 3.0.4 on Ubuntu 18.04.  In this blog, I added commands on how to install Stable, currently 3.0.4 on Ubuntu 18.04, Ubuntu 18.10, Linux Mint 19 and Debian 9.   These commands will also update your system where a new stable release of Wine is out!

So if you use Ubuntu 18.04, a person just copy/paste the commands for Ubuntu 18.04 and if you use Linux Mint 19 or 19.1 use the commands for Linux Mint 19, etc...


You might notice I used I used wine --version to display the version of wine and winecfg to configure wine. 

I had a windows package already downloaded to show how to use wine, you will not have it downloaded by default!

This will also work on Ubuntu Based systems, like for Elementary OS 5.0 Juno you will also use Ubuntu 18.04 and for Deepin or LMDE 3, you use Debian 9.  I hope it is clear if it isn't please write me and I will help!


Ps.  I updated the commands as Wine changed the installation process.

Commands Used:
Ubuntu 18.04:

sudo dpkg --add-architecture i386
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key
sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
sudo apt install --install-recommends winehq-stable

Commands are based on this:
https://wiki.winehq.org/Ubuntu

Ubuntu 18.10:

sudo dpkg --add-architecture i386
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key
sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ cosmic main'
sudo apt install --install-recommends winehq-stable

Commands are based on this:
https://wiki.winehq.org/Ubuntu

Linux Mint 19 /19.1:

sudo dpkg --add-architecture i386
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key
sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
sudo apt update
sudo apt install --install-recommends winehq-stable

Commands are based on this:
https://wiki.winehq.org/Ubuntu

Debian 9:

sudo dpkg --add-architecture i386
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key
deb https://dl.winehq.org/wine-builds/debian/ stretch main
sudo apt install --install-recommends winehq-stable
Commands are based on this:
https://wiki.winehq.org/Debian

Release Notes:

https://www.winehq.org/announce/3.0.4

Source Code:

https://source.winehq.org/git/wine.git/

Official Site:

https://www.winehq.org/

Subscribe to our weekly Linux Round-Up: SUBSCRIBE


For a Video With Voice-Overs look here: https://youtu.be/LiJ_IEm_JLY
 

Curios about Chromebooks have a look at our Chromebook Comparison Chart!

Want to buy us a cup of coffee, thank you!

Do you want an ad-free, secure web experience, that pays you?  Look here for more information!

Follow us on Facebook:  https://www.facebook.com/linuxmadesimple

Comments

  1. Suggestions for error when using this command???
    sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/

    ERROR... "Updating from such a repository can't be done securely, and is therefore disabled by default."

    Err:8 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease
    The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 818A435C5FCBF54A
    Get:11 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [451 kB]
    Hit:12 https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/Ubuntu_18.10_standard ./ Release
    Get:13 http://us.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [585 kB]
    Get:15 http://us.archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [580 kB]
    Reading package lists... Done
    W: GPG error: https://dl.winehq.org/wine-builds/ubuntu bionic InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 818A435C5FCBF54A
    E: The repository 'https://dl.winehq.org/wine-builds/ubuntu bionic InRelease' is not signed.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.

    ReplyDelete
    Replies
    1. Hi, are you running Ubuntu 18.04? It seems like you ran the Ubuntu 18.10 commands? or are you running linux mint? let me know and I will be able to assist you further!

      Delete
  2. Hello I may have the same problem as above. I've tried running the commands 3 times now. Do I need to delete old repositories somehow? If so , how do I do this? I brand new to Linux/Ubuntu.

    ReplyDelete
    Replies
    1. Hi, I just update the commands, wine updated the installation process and I just found out about it. so it should work now, to remove the old repos, go to your app menu and seach fro software & updates, then under other software look for the old wine ones and just remove them or disable them, by unticking them. please keep me posted!

      Delete

  3. The following packages have unmet dependencies.
    winehq-stable : Depends: wine-stable (= 4.0.1~disco)
    E: Unable to correct problems, you have held broken packages.

    This is what i get when trying to install it on linux mint

    ReplyDelete

Post a Comment